package jp.co.sds_corp.util.window;

import java.io.File;

/**
* File を拡張子で選択するファイルフィルタです。
*/
public class ExtFileFilter extends javax.swing.filechooser.FileFilter
{
	String desc = null;
	String[] ext = null;

	/**
	* 指定された詳細と、拡張子でこのファイルフィルタを初期化します。
	* @param	desc	ファイルの詳細
	* @param	ext		ファイルの拡張子
	*/
	public ExtFileFilter( String desc, String[] ext ) {
		this.desc = desc;
		this.ext = ext;
	}

	/**
	* 指定されたファイルをファイルリストに含めるかどうかをテストします。
	* @param	file	見つかったファイル
	*/
	public boolean accept( File file ) {
		if ( file.isDirectory() ) {
			return true;
		}
		String name = file.getName().toLowerCase();
		for ( int i = 0; i < ext.length; i++ ) {
			if ( name.endsWith( "." + ext[i] )) {
				return true;
			}
		}
		return false;
	}

	/**
	* 詳細メッセージを返します。
	* @return	詳細メッセージ
	*/
	public String getDescription() {
		return desc;
	}

	/**
	* 拡張子を返します。
	* @return	拡張子
	*/
	public String[] getExt() {
		return ext;
	}
}
